MojoMojo::Schema::Result::Attachment(3)

NAME
MojoMojo::Schema::Result::Attachment - store attachments

METHODS

  delete
Delete the inline and thumbnail versions but keep the original version ("$self-"filename>).

  filename
Full path to this attachment.

  inline_filename
Name of attachment file when displayed inline.

  thumb_filename
Nmae of thumbnail of attachment.

  make_photo
Insert photo id and title into photo table.

  is_image
Predicate to indicate is the contenttype is image or not.

  is_text
Predicate to indicate is the contenttype is text or not.

  human_size
Get a human readable size.

  human_type
Describe the mime type (in English?).

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.